Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMTooltip

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMTooltip

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Tooltip

    public class JSMTooltip

extends JSMBaseObject
implements Tooltip

Field Summary

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMTooltip()`

Method Summary
`java.lang.Object` | `getFormatter()`
`boolean` | `isCrosshairs()`
`boolean` | `isShared()`
`Tooltip` | `setCrosshairs(boolean b)`
`Tooltip` | `setFormatter(java.lang.Object formatter)`
`Tooltip` | `setShared(boolean shared)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSMTooltip

    public JSMTooltip()

Method Detail

### setFormatter

    public Tooltip setFormatter(java.lang.Object formatter)

  Specified by:
    `setFormatter` in interface `Tooltip`

### getFormatter

    public java.lang.Object getFormatter()

  Specified by:
    `getFormatter` in interface `Tooltip`

### setShared

    public Tooltip setShared(boolean shared)

  Specified by:
    `setShared` in interface `Tooltip`

### setCrosshairs

    public Tooltip setCrosshairs(boolean b)

  Specified by:
    `setCrosshairs` in interface `Tooltip`

### isCrosshairs

    public boolean isCrosshairs()

  Specified by:
    `isCrosshairs` in interface `Tooltip`

### isShared

    public boolean isShared()

  Specified by:
    `isShared` in interface `Tooltip`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD